Subject: Re: bug#70784: Abolish string resizing

From: Po Lu <[email-masked]>
Date: Mon, 06 May 2024 09:01:16 +0800

Drew Adams <[email-masked]> writes:

> No, I didn't - you did.  I said nothing about
> any enemies of Lisp, nor did I suggest that
> anyone here is an enemy of Lisp.
>
> Please stop with the hyperbole and insinuation.
> You appear to be trying to spin my position
> into something it's not.
>
> It would be a mistake, IMHO, to do away with
> mutable strings or lists in Elisp.  That's my
> opinion: that would _impoverish Lisp_.  The
> former (make strings immutable) is exactly the
> question raised in this thread, IIUC.
>
> It would also be unfortunate to do away with
> the use of nil as meaning false, or as the
> empty list.  Again, that would _impoverish
> Lisp_.  That's my opinion.
>
> Such suggestions don't jibe with Lisp; they
> would, in effect mutate Lisp away from its
> fundament.  Let's not go down that road.

I agree, but alas, the dubious practice of removing time-honored
facilities for their supposed disuse, virtually on impulse, and giving
Emacs a new motto inspired by line 6186 of dispnew.c, is much in vogue
with Mattias these days.

One can only hope that calmer heads will prevail.